Skip to main content

Payment Details


This section contains the information necessary to retrieve the non-sensitive data associated with a transient token and the payment details API. This API retrieves personally identifiable information, such as the cardholder name and billing and shipping details, without retrieving payment credentials, which eases the PCI compliance burden.

Authentication

There are two methods of authentication, and they are described in the Getting Started with REST Developer Guide:

  • Set Up a JSON Web Token Message
  • Set Up HTTP Signature Message

Endpoints

GET /flex/v2/payment-details/{jti}

GET /flex/v2/payment-details/{jti}

GET /flex/v2/payment-details/{jti}

GET /flex/v2/payment-details/{jti}

The {jti} is the ID of the JWT within the transient token that returns. The transient token is a JWT object retrieved during a successful capture of payment information from a cardholder.

Required Fields

Your payment details request must include this field:

jti string · Required

The {jti} is the full JWT received from as the result of capturing payment information.

Example

GET /flex/v2/payment-details/{jti}
{  "paymentInformation": {    "card": {      "expirationYear": "2026",      "number": "XXXXXXXXXXXX1111",      "expirationMonth": "05",      "type": "001"    }  },  "orderInformation": {    "amountDetails": {      "totalAmount": "21.00",      "currency": "USD"    },    "billTo": {      "lastName": "Lee",      "country": "US",      "firstName": "Tanya",      "email": "[email protected]"    },    "shipTo": {      "locality": "Small Town",      "country": "US",      "administrativeArea": "CA",      "address1": "123 Main Street",      "postalCode": "98765"    }  }}

The currency value in the response reflects the currency configured in the originating capture context. NAB returns "AUD" instead of "USD".

Last published: September 29, 2026